package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.model.dto.SysGroupCfgHdrDTO;
import com.prolog.rdc.tms.model.vo.SysGroupCfgSaveVO;
import com.prolog.rdc.tms.model.vo.SysGroupCfgVO;

import java.util.List;

/**
 * 系统调度分组配置服务层
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/1 12:43
 */
public interface SysGroupCfgService {

	/**
	 * 分组配置查询
	 *
	 * @param vo
	 * @return
	 */
	List<SysGroupCfgHdrDTO> queryGroupCfg(SysGroupCfgVO vo);


	/**
	 * 分组配置保存
	 *
	 * @param cfgSaveVOS
	 * @return
	 */
	void saveGroupCfg(List<SysGroupCfgSaveVO> cfgSaveVOS);

	/**
	 * 默认分组配置
	 *
	 * @param cfgVO
	 * @return
	 */
	void defaultGroup(SysGroupCfgVO cfgVO);

	/**
	 * 删除分组配置
	 *
	 * @param cfgVO
	 * @return
	 */
	void deleteGroup(SysGroupCfgVO cfgVO);

}
